services:
  openldap:
    image: osixia/openldap:1.5.0
    container_name: openldap
    restart: on-failure
    volumes:
     - /vagrant/ldap/ldif:/container/service/slapd/assets/config/bootstrap/ldif/custom
     - /vagrant/ldap/bdb:/var/lib/ldap
     - /vagrant/ldap/conf:/etc/ldap/slapd.d
    command: --copy-service
    environment:
        - LDAP_ORGANISATION=zabbix
        - LDAP_DOMAIN=zabbix.local
        - LDAP_BASE_DN=dc=zabbix,dc=local
        - LDAP_ADMIN_PASSWORD=admin
    ports:
        - 389:389
        - 636:636